import {zoom,
        event,
        geoPath 
       
} from 'd3';



export const choroplethMap = (parent, props) => {
  const {
    onClick,
    selectedLegendItem
  } = props; //Unpack parameters

  const pathGenerator = geoPath().projection(projection);

  
  
  function zoomed() { svg.attr('transform', d3.event.transform);}
  
  svg.call(zoom().on('zoom', () => {g.attr('transform', event.transform)	}));

  
	g.append('path')
			.attr('class', 'globe')
			.attr('d', pathGenerator({type: 'Sphere'}));


  const paths=g.selectAll('path').data(features);
  const c=g.selectAll('path').data(features);

  paths.enter().append('path')
    .attr('class', 'country')
    .attr('d', d => pathGenerator(d))
    .attr('fill', d => colorScale(colorValue(d)))
    .append('title')
    .text( d => d.properties.name)
     ; 
  c.merge(paths)
  	  	.attr('opacity', d => {
    return d.properties.income_grp===selectedLegendItem ? 1 : 0.1;
  });
  
  